%define oname lightdm-kde

Summary:	The Light Display Manager (KDE greeter)
Name:		%oname-greeter
Version:	0.3.2
Release:	%mkrel 3
License:	GPLv3+
Group:		Graphical desktop/Other
Source0:	ftp://ftp.kde.org/pub/kde/unstable/lightdm-kde/src/%oname-%version.tar.bz2
Patch0:		lightdm-kde-0.3.2-liglightdm-qt.patch
URL:		https://projects.kde.org/projects/playground/base/lightdm
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(liblightdm-qt-3)
Provides:	lightdm-greeter
Requires:	lightdm
Requires:	kdebase4-runtime
Requires(post):		update-alternatives
Requires(postun):	update-alternatives

%description
A LightDM greeter that uses the KDE toolkit.

%files -f %{name}.lang
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmlightdm.conf
%_kde_libdir/kde4/kcm_lightdm.so
%_kde_libdir/kde4/libexec/kcmlightdmhelper
%_kde_libdir/kde4/libexec/lightdm-kde-greeter-rootimage
%_sbindir/lightdm-kde-greeter
%_datadir/apps/lightdm-kde-greeter
%_datadir/dbus-1/system-services/org.kde.kcontrol.kcmlightdm.service
%_datadir/kde4/services/kcm_lightdm.desktop
%_datadir/polkit-1/actions/org.kde.kcontrol.kcmlightdm.policy
%_datadir/xgreeters/lightdm-kde-greeter.desktop

#-------------------------------------------------------------------------

%prep
%setup -q -n lightdm-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name

%post
%{_sbindir}/update-alternatives \
	--install %{_datadir}/xgreeters/lightdm-greeter.desktop \
	lightdm-greeter \
	%{_datadir}/xgreeters/%{name}.desktop \
	10

%postun
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/%{name}.desktop
fi


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.3.2-3.mga4
+ Revision: 523787
- Mageia 4 Mass Rebuild

* Sat May 25 2013 wally <wally> 0.3.2-2.mga4
+ Revision: 427024
- rebuild with new lightdm (add P0)

* Fri May 24 2013 wally <wally> 0.3.2-1.mga4
+ Revision: 426322
- new version 0.3.2

* Sat Jan 12 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 358785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 wally <wally> 0.3.1-1.mga3
+ Revision: 334341
- new version 0.3.1

* Sat Aug 25 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 283879
- new version 0.3.0
- fix url

* Sun Aug 05 2012 wally <wally> 0.2.1-1.mga3
+ Revision: 278719
- new version 0.2.1

* Sat Jul 28 2012 wally <wally> 0.2.0-2.mga3
+ Revision: 275422
- provide lightdm-greeter with alternatives system
- require kdebase4-runtime

* Wed Jul 25 2012 neoclust <neoclust> 0.2.0-1.mga3
+ Revision: 274397
- imported package lightdm-kde-greeter

